%global realname rosinstall

Name:           python-rosinstall
Version:        0.6.19
Release:        2%{?dist}
Summary:        ROS installation utilities

License:        BSD
URL:            http://www.ros.org/wiki/rosinstall
BuildArch:      noarch
#source obtained from hg snapshot:
#hg clone https://kforge.ros.org/vcstools/rosinstall; cd rosinstall
#hg checkout 0.6.19; rm -rf .hg*; cd ..; mv rosinstall rosinstall-0.6.19
#tar cjf rosinstall-0.6.19.tar.bz2 rosinstall-0.6.19
Source0:        %{realname}-%{version}.tar.bz2

BuildRequires:  python-devel
BuildRequires:  python-setuptools-devel
BuildRequires:  python-sphinx
Requires:       python-vcstools

%description
rosinstall is a tool to check out ROS source code (or any source code, really)
from multiple version control repositories and updating these checkouts. Given 
a *.rosinstall file that specifies where to get code, rosinstall will check 
out a working copy for you. 


%prep
%setup -q -n %{realname}-%{version}
%if 0%{?rhel}
sed -i 's/haiku/default/' doc/conf.py
sed -i 's/:special-members://g' doc/*.rst
%endif

%build
%{__python} setup.py build
pushd doc
make html
%if ! 0%{?rhel}
make man
%endif
popd

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
# el6 doesn't have a manpage generator
%if ! 0%{?rhel}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 0644 doc/_build/man/%{realname}.1 $RPM_BUILD_ROOT%{_mandir}/man1/
rm -rf doc/_build/html/.buildinfo
%endif

%files
%doc doc/_build/html LICENSE README
%{_bindir}/*
%{python_sitelib}/%{realname}
%{python_sitelib}/%{realname}-%{version}-py?.?.egg-info
%if ! 0%{?rhel}
%{_mandir}/man1/%{realname}.1.gz
%endif

%changelog
* Mon Oct 08 2012 Rich Mattes <richmattes@gmail.com> - 0.6.19-2
- Separated build and install steps for setup.py
- Added README and LICENSE

* Sun Sep 02 2012 Rich Mattes <richmattes@gmail.com> - 0.6.19-1
- Update to release 0.6.19

* Wed Jun 06 2012 Rich Mattes <richmattes@gmail.com> - 0.6.17-1
- Update to release 0.6.17

* Wed Apr 25 2012 Rich Mattes <richmattes@gmail.com> - 0.6.15-1
- Initial package
